#!/bin/bash

# Define the base URL for the API endpoint
BASE_URL="https://freaccess.com.br/freaccess/processRequest.php"

# Define common parameters
DEV_UUID="6b7b81849c115a8a"
USER_UUID="678aa05b0c2154.50583237"
CLI_ID="7"
ACTIVITY="getVehiclesByProperty"
PAGE_SIZE="10"

# Function to perform the HTTP request
perform_request() {
    local page=$1
    http --form POST "$BASE_URL" \
        devUUID="$DEV_UUID" \
        userUUID="$USER_UUID" \
        cliID="$CLI_ID" \
        atividade="$ACTIVITY" \
        page="$page" \
        pageSize="$PAGE_SIZE" \
        --check-status \
        --ignore-stdin \
        --timeout=10
}

# Perform requests for pages 1 and 2
perform_request 1
perform_request 2
